/**
 * FreeRDP: A Remote Desktop Protocol Client
 * config.h definitions for installable headers
 *
 * Copyright 2012 Marc-Andre Moreau <marcandre.moreau@gmail.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef FREERDP_CONFIG_H
#define FREERDP_CONFIG_H

/*
 * This generated config.h header is meant for installation, which is why
 * all definitions MUST be prefixed to avoid conflicting with third-party
 * libraries. Only add configurable definitions which really must be used
 * from installable headers, such as the base type definition types.
 */

#define FREERDP_HAVE_LIMITS_H
#define FREERDP_HAVE_STDINT_H
#define FREERDP_HAVE_STDBOOL_H
#define FREERDP_HAVE_INTTYPES_H

#endif

